Package org.drinkless.tdlib

# Class TdApi.AttributeCraftPersistenceProbability

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AttributeCraftPersistenceProbability

Enclosing class:
  `TdApi`

public static class TdApi.AttributeCraftPersistenceProbability extends TdApi.Object
Describes chance of the crafted gift to have the backdrop or symbol of one of the original gifts.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int[]`
  `persistenceChancePerMille`
  The 4 numbers that describe probability of the craft result to have the same attribute as one of the original gifts if 1, 2, 3, or 4 gifts with the attribute are used in the craft.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeCraftPersistenceProbability()`
  Describes chance of the crafted gift to have the backdrop or symbol of one of the original gifts.
  `AttributeCraftPersistenceProbability(int[] persistenceChancePerMille)`
  Describes chance of the crafted gift to have the backdrop or symbol of one of the original gifts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### persistenceChancePerMille

    public int[] persistenceChancePerMille
    The 4 numbers that describe probability of the craft result to have the same attribute as one of the original gifts if 1, 2, 3, or 4 gifts with the attribute are used in the craft. Each number represents the number of crafted gifts with the original attribute per 1000 successful craftings.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AttributeCraftPersistenceProbability

    public AttributeCraftPersistenceProbability()
    Describes chance of the crafted gift to have the backdrop or symbol of one of the original gifts.

  - ### AttributeCraftPersistenceProbability

    public AttributeCraftPersistenceProbability(int[] persistenceChancePerMille)
    Describes chance of the crafted gift to have the backdrop or symbol of one of the original gifts.
    Parameters:
      `persistenceChancePerMille` - The 4 numbers that describe probability of the craft result to have the same attribute as one of the original gifts if 1, 2, 3, or 4 gifts with the attribute are used in the craft. Each number represents the number of crafted gifts with the original attribute per 1000 successful craftings.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR